Redmine - Feature #24299

Reflect project membership changes in Activity history
2016-11-08 19:03 - Sergey User

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution:

Description

There is no way right now in Redmine to track when a certain user was added or removed to a project. It is suggested to add this
feature:

1. Add 'Membership' activity category;
2. Once new user is added to a Project, reflect this in Activity Log as 'New team member <Name> has been added in role(s)
<Roles list>";
1. Once set of roles has been changed for a user, reflect this as well;
2. Indicate if a user has been removed.

This should be helpful to see new people coming and going to a project to encourage collaboration, and also perform some level of
security audit (not complete, as role definitions can be changed, but still better than nothing).

Given that people are not added/removed that frequently, it should not introduce too much burden in terms of extra data storage
required to keep track of these activities.

History

#1 - 2016-11-24 17:12 - Toshi MARUYAMA

- Description updated

#2 - 2016-11-24 17:14 - Toshi MARUYAMA

- Category set to Accounts / authentication
